/*
 * $Id: TemplateException.java 220 2007-07-16 10:32:15Z sugimotokenichi $
 * Copyright (C) 2005 SUGIMOTO Ken-ichi
 * 作成日: 2005/07/24
 */
package feat2;

/**
 * テンプレートの処理で起こった例外。
 * @author SUGIMOTO Ken-ichi
 */
public class TemplateException extends FeatException {

    private static final long serialVersionUID = "$Id: TemplateException.java 220 2007-07-16 10:32:15Z sugimotokenichi $".hashCode();


    /**
     *
     */
    public TemplateException() {
        super();
    }

    /**
     * @param messageId
     */
    public TemplateException(String messageId) {
        super(messageId);
    }

    /**
     * @param cause
     */
    public TemplateException(Throwable cause) {
        super(cause);
    }

    /**
     * @param messageId
     * @param cause
     */
    public TemplateException(String messageId, Throwable cause) {
        super(messageId, cause);
    }

}
